import type Vue, { VNode } from 'vue';

declare global {
	declare type Nullable<T> = T | null;
	declare type Recordable<T = any> = Record<string, T>;
	namespace JSX {
		// tslint:disable no-empty-interface
		type Element = VNode;
		// tslint:disable no-empty-interface
		type ElementClass = Vue;
		interface ElementAttributesProperty {
			$props: any;
		}
		interface IntrinsicElements {
			[elem: string]: any;
		}
		interface IntrinsicAttributes {
			[elem: string]: any;
		}
	}
}
